Rhino web browser 'too old to work on this site'

Hi all,

I don’t know if this is a thing to track or of much importance - I was curious about having rhino open https://discourse.mcneel.com/ right at start. The forum page does not seem to be compatible with the browser inside rhino:

if you click on ‘upgrade’:
image

The web browser panel inside rhino uses Internet Explorer core (winforms webbrowser control), which does not support ActiveX controls.

(I hope I got the terminology right :stuck_out_tongue_winking_eye: )

I believe it’s the JavaScript, or Flash (ActionScript) that is making most websites opened in there to fail.

Not even close.

Discourse requires:

  • Internet Explorer 11+
  • Google Chrome 57+
  • Firefox 52+
  • Safari 10+

The WebBrowser currently emulates IE11, which isn’t good enough.

@corellaman - thanks for reporting. I’ve logged the issue.

https://mcneel.myjetbrains.com/youtrack/issue/RH-53549

– Dale

1 Like

When you make such rude replies @dale.
Could you elaborate? “Not Supporting” a certain IE version is not enough to say “Not even close.”.
What do you think the changes between IE10 and IE11+ are?
The support for JavaScript is enhanced.

Do you also say it is not the default wpf/winforms WebBrowser control that is used?

I have tested websites with no WebGL involved and the rhino panel webbrowser fails to display javascript related animations.

RH-53549 is fixed in the latest Service Release Candidate